User account creation filtered due to spam.

Bug 1374 - gcj -C (options) diverges from javac
Summary: gcj -C (options) diverges from javac
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 3.0
: P3 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 15578 18585 28067
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-20 12:19 UTC by Tom Tromey
Modified: 2007-01-09 20:43 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-09-23 22:55:23


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2000-12-20 12:19:23 UTC
In theory `gcj -C' should be a drop-in replacement
for `javac'.  However, this currently isn't the case.
See: http://java.sun.com/products/jdk/1.2/docs/tooldocs/solaris/javac.html
In particular -sourcepath and the @file feature are
probably worth emulating.
We might actually have to write a separate `javac'-like
program to handle things like `-g:none'.  I don't know.

Release:
unknown
Comment 1 steven.bosscher 2002-11-21 13:51:01 UTC
From: Bosscher Steven Civ USAFA/DFAN <Steven.Bosscher@usafa.af.mil>
To: "'gcc-gnats@gcc.gnu.org'" <gcc-gnats@gcc.gnu.org>,
        "'gcc-prs@gcc.gnu.org'" <gcc-prs@gcc.gnu.org>,
        "'tromey@redhat.com'"<tromey@redhat.com>,
        "'gcc-bugs@gcc.gnu.org'" <gcc-bugs@gcc.gnu.org>,
        "'java-prs@gcc.gnu.org'" <java-prs@gcc.gnu.org>
Cc:  
Subject: Re: java/1374: gcj -C diverges from javac
Date: Thu, 21 Nov 2002 13:51:01 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&p
 r=1374
 
 Was this fixed by:
 
 2001-03-15  Per Bothner  <per@bothner.com>
         *	--- 8< ---
 
         * jvspec.c (lang_specific_driver):  Fix -C handling.
         Check -save-temps to see if temp @FILE should be deleted.
         Follow-up to/fix for February 16 patch.
 
 Greetz
 Steven
 

Comment 2 Tom Tromey 2002-12-01 15:01:13 UTC
From: Tom Tromey <tromey@redhat.com>
To: Bosscher Steven Civ USAFA/DFAN <Steven.Bosscher@usafa.af.mil>
Cc: "'gcc-gnats@gcc.gnu.org'" <gcc-gnats@gcc.gnu.org>,
        "'gcc-prs@gcc.gnu.org'" <gcc-prs@gcc.gnu.org>,
        "'gcc-bugs@gcc.gnu.org'" <gcc-bugs@gcc.gnu.org>,
        "'java-prs@gcc.gnu.org'" <java-prs@gcc.gnu.org>
Subject: Re: java/1374: gcj -C diverges from javac
Date: 01 Dec 2002 15:01:13 -0700

 Steven> http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&p
 Steven> r=1374
 Steven> Was this fixed by:
 Steven> 2001-03-15  Per Bothner  <per@bothner.com>
 
 Not fully.  We still don't support -sourcepath or the `-g:' options.
 
 Tom
Comment 3 Andrew Pinski 2003-05-27 23:44:24 UTC
Still gcj does not support these options.
Comment 4 Tom Tromey 2007-01-09 20:43:20 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.